Subject: Re: RFC: Performance Monitor Counters device

From: Segher Boessenkool <[email-masked]>
Date: Sat, 14 Sep 2002 13:39:43 +0200

Anton Blanchard wrote:
> It would be great if we could plug into something like oprofile.
> Linus was even interested in merging some sort of simple profiling
> infrastructure.
>
> We have a similar issue on ppc64, if we could share at least part
> of it between ppc32 and ppc64 that would be nice.

Some parts of the interface, like the raw/cooked counter reading and
the simplest forms of profiling interrupts, can probably be shared
across all architectures; ppc32 and ppc64 can probably share about
everything.

Segher

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/